<div class="jumbotron">
  <h1>Genes of Yeasts</h1>
</div>
<div class="container">
  <form #formEnvironments="ngForm" (submit)='genesEntry()'>
    <!--Sequence-->
    <label class="col-sm-2">Sequence* </label>
    <div class="col-sm-4">
      <input type="text" id="secuence" #secuence="ngModel" name="secuence" [(ngModel)]="objGenes.secuence"
        pattern="[AGCTUagctu]+" title="Only letters A, G, C, T, U" required>
    </div>

    <div class="is-invalid" *ngIf="!secuence.pristine && 
                secuence.errors?.required">
      <div class="col-sm-4">
        <span class="text-danger">Please, enter a sequence</span>
      </div>
    </div>
    <div class="is-invalid" *ngIf="!secuence.pristine && 
                secuence.errors?.pattern">
      <div class="col-sm-4">
        <span class="text-danger">Please, enter a valid sequence.Only letters A, G, C, T, U .</span>
      </div>
    </div>
    <br>
    <!--Type-->
    <label class="col-sm-2">Type *</label>
    <div class="col-sm-4">
      <select #typeFilter="ngModel" class="form-control" name="TypeF" [(ngModel)]="objGenes.type" required>
        <option *ngFor="let NAtypesAux of NAtypes; let i=index" [ngValue]="NAtypesAux">
          {{NAtypesAux}}
        </option>
      </select>
    </div>
    <br>
    <!--Is protein-->
    <label class="col-sm-2">Is protein? </label>
    <div class="col-sm-4">
      <select #proteinFilter="ngModel" class="form-control" name="ProteinF" [(ngModel)]="objGenes.protein" required>
        <option *ngFor="let protAux of Protboolean; let i=index" [ngValue]="protAux">{{protAux}}</option>
      </select>
    </div>
    <br>
    <div class="col-sm-4">
      <input type="submit" [disabled]="!formEnvironments.valid">
    </div>
  </form>
</div>